Bug 798671 - Fix KnowledgeAgentConfiguration API JavaDoc
Fix KnowledgeAgentConfiguration API JavaDoc
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
medium Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Edson Tirelli
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 09:46 EST by Jiri Svitak
Modified: 2015-06-01 21:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3454 None Closed Document all properties of KnowledgeAgentConfiguration 2012-05-15 01:17:26 EDT

  None (edit)
Description Jiri Svitak 2012-02-29 09:46:57 EST
KnowledgeAgentConfiguration API documentation states

"drools.agent.newInstance = <true|false> // currently this is hard coded to true"

but this is not true. You can use 'false' for incremental rebuilding of KnowledgeBase and it works. This needs to be corrected.

Also other KnowledgeAgentConfiguration properties should be explained.

Generally whole API could be better documented. Description of some methods is missing.
Comment 1 Geoffrey De Smet 2012-04-05 08:07:29 EDT
Partially fixed: I've fixed the drools.agent.newInstance issue on master, 5.4 and 5.3:
  https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/ea912e101556f54d23ccd33520b7b2a65e146c63

Still open: "other KnowledgeAgentConfiguration properties should be explained."
To me, it's unclear what drools.agent.scanDirectories actually does (if it does anything useful at all).
Comment 2 Geoffrey De Smet 2012-04-11 09:19:35 EDT
I've extracted the second part "other KnowledgeAgentConfiguration properties should be explained." into a separate issue:
  https://issues.jboss.org/browse/JBRULES-3454
Comment 3 Jiri Svitak 2012-04-12 10:05:45 EDT
Thanks for your fix of the misleading information described above, but I am afraid that it is not still enough. The most of the descriptions of the properties is missing. I think that the fact that the property can be true or false is not satisfactory for users.

drools.agent.scanResources - missing explanation
drools.agent.scanDirectories - just mentioned in documentation (4.2.6)
drools.agent.newInstance - explained just in documentation (section 2.3.2.2)
drools.agent.monitorChangeSetEvents - missing explanation
drools.agent.useKBaseClassLoaderForCompiling - explained just in documentation (2.3.2.1.2), javadoc is missing

So, some of the properties are not described, explanation of others is a bit scattered among docs. I think that at least missing explanations should be fixed. If the properties would be described together in one place (javadoc), it would be excellent.
Comment 4 Geoffrey De Smet 2012-04-12 10:11:10 EDT
Assigning to Edson, as he 'll know what those properties do.
I took one of his knowledge agent issues earlier, so I hope he's cool with it ;)
Comment 7 Edson Tirelli 2012-04-25 17:36:03 EDT
Done.
Comment 8 JBoss JIRA Server 2012-04-25 17:37:27 EDT
Edson Tirelli <ed.tirelli@gmail.com> updated the status of jira JBRULES-3454 to Resolved
Comment 9 JBoss JIRA Server 2012-04-25 17:37:35 EDT
Edson Tirelli <ed.tirelli@gmail.com> updated the status of jira JBRULES-3454 to Closed
Comment 10 Jiri Svitak 2012-04-26 07:02:17 EDT
Hello Edson,
thanks for your fix of scan directory option in Java code.
https://github.com/droolsjbpm/drools/commit/4e6267cbde29148ac8872f9006e164e5f4735cfc

Unfortunately I have to set this bug to ASSIGNED, because this bug is about missing explanations of knowledge agent features and properties in documentation, which was not fixed yet.
Comment 11 Edson Tirelli 2012-04-26 08:43:32 EDT
Hi Jiri,

I think you missed the commit on the droolsjbpm-knowledge repository that is where the public javadocs are committed:

https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/c5bb2acbe57d8437f4847aecce8871f7cf624d6c

While investigating the use of each property I found that minor mistake that I fixed in drools-core, so I associated to the same ticket, but the bulk of the content in this ticket is in the commit above.

I am setting the status back to MODIFIED. Please let me know if it is not what was requested.
Comment 12 Jiri Svitak 2012-04-26 09:02:59 EDT
Hi Edson,

you are right, I missed your commit to droolsjbpm-knowledge repository. I think it is perfectly ok, that you have added Javadoc and fixed a small mistake too.
Comment 13 Lukáš Petrovický 2012-05-14 08:25:15 EDT
THe fix made it into the code. VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.